.RadGrid_UniTelerikTheme {
    border-color: #d9d9d9;
    color: #5f5f5f;
    background-color: #ffffff;
}

.RadGrid_UniTelerikTheme .rgInput,
.RadGrid_UniTelerikTheme .rgEditRow > td > [type="text"],
.RadGrid_UniTelerikTheme .rgEditForm td > [type="text"],
.RadGrid_UniTelerikTheme .rgBatchContainer > [type="text"],
.RadGrid_UniTelerikTheme .rgFilterBox {
    border-color: #c4c4c4;
    color: #3b3b3b;
    background-color: #ffffff;
}

.RadGrid_UniTelerikTheme .rgInput:hover,
.RadGrid_UniTelerikTheme .rgEditRow > td > [type="text"]:hover,
.RadGrid_UniTelerikTheme .rgEditForm td > [type="text"]:hover,
.RadGrid_UniTelerikTheme .rgBatchContainer > [type="text"]:hover,
.RadGrid_UniTelerikTheme .rgFilterBox:hover {
    border-color: #0092ab;
    color: black;
    background-color: #ffffff;
}

.RadGrid_UniTelerikTheme .rgInput:focus,
.RadGrid_UniTelerikTheme .rgEditRow > td > [type="text"]:focus,
.RadGrid_UniTelerikTheme .rgEditForm td > [type="text"]:focus,
.RadGrid_UniTelerikTheme .rgBatchContainer > [type="text"]:focus,
.RadGrid_UniTelerikTheme .rgFilterBox:focus {
    border-color: #1193aa;
    color: #333333;
    background-color: #ffffff;
}

.RadGrid_UniTelerikTheme .rgActionButton {
    color: #5f5f5f;
}

.RadGrid_UniTelerikTheme .rgHeader,
.RadGrid_UniTelerikTheme th.rgResizeCol,
.RadGrid_UniTelerikTheme .rgHeaderWrapper,
.RadGrid_UniTelerikTheme .rgFilterRow {
    background-color: #e3e3e3;
    border-bottom: 1px solid #d9d9d9;
}

.RadGrid_UniTelerikTheme .rgHeaderDiv {
    border-right-color: #d9d9d9;
}

.RadGrid_UniTelerikTheme .rgMultiHeaderRow th.rgHeader, .RadGrid_UniTelerikTheme .rgMultiHeaderRow th.rgResizeCol {
    border: 0;
    border-bottom: 1px solid #d9d9d9;
    border-left: 1px solid #d9d9d9;
}

.RadGrid_UniTelerikTheme th.rgSorted {
    background-color: #bdbdbd;
}

.RadGrid_UniTelerikTheme th.rgSorted, .RadGrid_UniTelerikTheme th.rgSorted a {
    color: #5f5f5f;
}

.RadGrid_UniTelerikTheme .rgHeader {
    color: #888888;
    text-transform: uppercase;
    font-size: 0.714em;
    line-height: 2;
}

.RadGrid_UniTelerikTheme .rgHeader a {
    color: #888888;
}

.RadGrid_UniTelerikTheme .rgHeader .t-button {
    font-size: 1.4em;
    line-height: 1.4285714286;
}

.RadGrid_UniTelerikTheme .rgRow > td,
.RadGrid_UniTelerikTheme .rgAltRow > td,
.RadGrid_UniTelerikTheme .rgEditRow > td {
    border-style: solid;
    border-bottom: 1px solid #e3e3e3;
    border-width: 0 0 1px;
}

.RadGrid_UniTelerikTheme .rgRow a,
.RadGrid_UniTelerikTheme .rgAltRow a, .RadGrid_UniTelerikTheme tr.rgEditRow a,
.RadGrid_UniTelerikTheme .rgFooter a,
.RadGrid_UniTelerikTheme .rgEditForm a {
    color: #000;
}

.RadGrid_UniTelerikTheme .rgHoveredRow {
    background: #e5e5e5;
}

.RadGrid_UniTelerikTheme .rgMasterTable .rgSelectedCell,
.RadGrid_UniTelerikTheme .rgSelectedRow {
    color: #ffffff;
    background: #81cfdc;
}

.RadGrid_UniTelerikTheme .rgActiveRow td:not(.rgExpandCol) {
    box-shadow: inset 0px 5px 5px -5px #81cfdc, inset 0px -5px 5px -5px #81cfdc;
}

.RadGrid_UniTelerikTheme .rgActiveRow td:first-child:not(.rgExpandCol),
.RadGrid_UniTelerikTheme .rgActiveRow .rgExpandCol + td {
    box-shadow: inset 0px 5px 5px -5px #81cfdc, inset 0px -5px 5px -5px #81cfdc, inset 5px 0px 5px -5px #81cfdc;
}

.RadGrid_UniTelerikTheme .rgActiveRow td:not(.rgExpandCol):last-child {
    box-shadow: inset 0px 5px 5px -5px #81cfdc, inset 0px -5px 5px -5px #81cfdc, inset -5px 0px 5px -5px #81cfdc;
}

.RadGrid_UniTelerikTheme .rgActiveCell {
    box-shadow: inset 0 0 5px #81cfdc;
}

.RadGrid_UniTelerikTheme .rgSelectedCell a,
.RadGrid_UniTelerikTheme .rgSelectedRow a {
    color: #ffffff;
}

.RadGrid_UniTelerikTheme .rgHoveredRow {
    background: #bceff8;
    color: #333333;
}

.RadGrid_UniTelerikTheme .rgHoveredRow a {
    color: #333333;
}

.RadGrid_UniTelerikTheme .rgSorted {
    background-color: #f0f0f0;
    color: #464545;
}

.RadGrid_UniTelerikTheme .rgSelectedRow .rgSorted,
.RadGrid_UniTelerikTheme .rgHoveredRow .rgSorted {
    /*background-color: desaturate( lighten( $grid-hovered-bg-color, 1%), 40% );*/
    background-color: rgba(240, 240, 240, 0.6);
}

.RadGrid_UniTelerikTheme .rgEditRow {
    background: rgba(217, 217, 217, 0.75);
    color: #5f5f5f;
}

.RadGrid_UniTelerikTheme .rgEditRow > td {
    border-color: #999;
}

.RadGrid_UniTelerikTheme .rgDeletedRow > td {
    border-color: #b3b2b2;
    color: #5f5f5f;
}

.RadGrid_UniTelerikTheme .rgDeletedRow > td a {
    color: #5f5f5f;
}

.RadGrid_UniTelerikTheme .rgBatchOverlay {
    background: rgba(217, 217, 217, 0.75);
}

.RadGrid_UniTelerikTheme .rgBatchUndoDeleteButton {
    border-color: #c4c4c4;
    color: #5f5f5f;
    background-color: #e3e3e3;
    background-image: linear-gradient(white, #e3e3e3);
}

.RadGrid_UniTelerikTheme .rgBatchUndoDeleteButton:hover {
    border-color: #0092ab;
    color: #ffffff;
    background-color: #0092ab;
    background-image: linear-gradient(#00acca, #0092ab);
}

.RadGrid_UniTelerikTheme .rgDrag {
    background-image: url(" ");
}

.RadGrid_UniTelerikTheme .rgFooterDiv,
.RadGrid_UniTelerikTheme .rgFooter,
.RadGrid_UniTelerikTheme .rgFooterWrapper {
    background: #e3e3e3;
}

.RadGrid_UniTelerikTheme .rgFooterWrapper {
    border-top: 0 none;
}

.RadGrid_UniTelerikTheme .rgPagerCell {
    border-color: #c4c4c4;
    color: #5f5f5f;
    background-color: #e3e3e3;
}

.RadGrid_UniTelerikTheme .rgPagerCell .rgNumPart a {
    border-radius: 2px;
    color: inherit;
}

.RadGrid_UniTelerikTheme .rgPagerCell .rgNumPart a:hover {
    border-color: #0092ab;
    color: #ffffff;
    background-color: #0092ab;
    background-image: linear-gradient(#00acca, #0092ab);
}

.RadGrid_UniTelerikTheme .rgPagerCell .rgNumPart a.rgCurrentPage {
    border-color: #14afca;
    color: #14afca;
    background: none;
}

.RadGrid_UniTelerikTheme .rgPagerCell .rgPagerButton,
.RadGrid_UniTelerikTheme .rgPagerCell .rgActionButton {
    border-width: 1px;
    border-style: solid;
    border-radius: 2px;
    border-color: #c4c4c4;
    color: #5f5f5f;
    background-color: #e3e3e3;
    background-image: linear-gradient(white, #e3e3e3);
}

.RadGrid_UniTelerikTheme .rgPagerCell .rgPagerButton:hover,
.RadGrid_UniTelerikTheme .rgPagerCell .rgActionButton:hover {
    border-color: #0092ab;
    color: #ffffff;
    background-color: #0092ab;
    background-image: linear-gradient(#00acca, #0092ab);
}

.RadGrid_UniTelerikTheme .rgFilterRow > td {
    border-bottom: 1px solid #d9d9d9;
}

.RadGrid_UniTelerikTheme .rgFilter {
    border: 1px solid;
    border-color: #c4c4c4;
    color: #5f5f5f;
    background-color: #e3e3e3;
    background-image: linear-gradient(white, #e3e3e3);
}

.RadGrid_UniTelerikTheme .rgFilter:hover, .RadGrid_UniTelerikTheme .rgFilter:focus {
    border-color: #0092ab;
    color: #ffffff;
    background-color: #0092ab;
    background-image: linear-gradient(#00acca, #0092ab);
}

.RadGrid_UniTelerikTheme .rgFilterActive, .RadGrid_UniTelerikTheme .rgFilterActive:hover, .RadGrid_UniTelerikTheme .rgFilterActive:focus {
    border-color: #1193aa;
    color: #ffffff;
    background-color: #14afca;
    background-image: none;
    box-shadow: inset 0 0 6px rgba(165, 165, 165, 0.5);
}

.RadGrid_UniTelerikTheme .rgFiltered {
    border-color: #14afca;
    color: #ffffff;
    background-color: #14afca;
    background-image: linear-gradient(#27cdea, #14afca);
}

.RadGrid_UniTelerikTheme .rgFiltered:hover, .RadGrid_UniTelerikTheme .rgFiltered:focus {
    border-color: #0092ab;
    color: #ffffff;
    background-color: #0092ab;
    background-image: linear-gradient(#00acca, #0092ab);
}

.RadGrid_UniTelerikTheme .rgFiltered.rgFilterActive {
    border-color: #1193aa;
    color: #ffffff;
    background-color: #14afca;
    background-image: none;
}

.RadGrid_UniTelerikTheme .rgOptions {
    color: #5f5f5f;
}

.RadGrid_UniTelerikTheme .rgOptSelected {
    color: #14afca;
}

.GridContextMenu_UniTelerikTheme .rgHCMClear,
.GridContextMenu_UniTelerikTheme .rgHCMFilter {
    font-size: 1em;
    height: 2em;
    border-color: #c4c4c4;
    color: #5f5f5f;
    background-color: #e3e3e3;
    background-image: linear-gradient(white, #e3e3e3);
    border-radius: 0;
}

.GridContextMenu_UniTelerikTheme .rgHCMClear:hover,
.GridContextMenu_UniTelerikTheme .rgHCMFilter:hover {
    border-color: #0092ab;
    color: #ffffff;
    background-color: #0092ab;
    background-image: linear-gradient(#00acca, #0092ab);
}

.GridContextMenu_UniTelerikTheme .rmGroup .rgHCMItem div.rmContent {
    padding: 15px;
    margin: 0 auto;
}

.RadMenu_UniTelerikTheme_Context .rgFilterApply,
.RadMenu_UniTelerikTheme_Context .rgFilterCancel {
    border-color: #c4c4c4;
    color: #5f5f5f;
    background-color: #e3e3e3;
    background-image: linear-gradient(white, #e3e3e3);
    color: #5f5f5f;
    border-color: #c4c4c4;
    height: 28px;
}

.GridContextMenu_UniTelerikTheme .rgFilterMenu.rmTemplate div.rmContent,
.GridContextMenu_UniTelerikTheme .rgFilterListMenu.rmTemplate div.rmContent {
    padding-right: 8px;
    padding-bottom: 10px;
}

.RadGrid_UniTelerikTheme .rgGroupPanel {
    background-color: #e3e3e3;
    border: 0;
    border-bottom: 1px solid #d9d9d9;
    color: #5f5f5f;
}

.RadGrid_UniTelerikTheme .rgGroupPanel td {
    border: 0;
    padding: 3px 4px;
}

.RadGrid_UniTelerikTheme .rgGroupPanel td td {
    padding: 0;
}

.RadGrid_UniTelerikTheme .rgGroupItem {
    border-color: #c4c4c4;
    color: #5f5f5f;
    background-color: #e3e3e3;
    background-image: linear-gradient(white, #e3e3e3);
    color: #5f5f5f;
    border: 1px solid #c4c4c4;
    border-radius: 4px;
}

.RadGrid_UniTelerikTheme .rgGroupHeader {
    background-image: linear-gradient(#ffffff 0%, #f2f2f2 30%, #d5d4d3 100%);
    box-shadow: 0 1px 3px #c4c4c4;
    font-size: 11px;
    text-transform: uppercase;
    line-height: 22px;
    color: #888888;
}

.RadGrid_UniTelerikTheme .rgGroupHeader td {
    padding: 5px 8px 2px;
    border-bottom: 1px solid #e3e3e3;
}

.RadGrid_UniTelerikTheme .rgEditForm {
    border-bottom: 1px solid #999;
}

.RadGrid_UniTelerikTheme .rgDetailTable {
    border-color: #ccc;
}

.RadGrid_UniTelerikTheme td.rgExpandCol {
    border-bottom-color: #e6e6e6;
    background-color: #e6e6e6;
}

.RadGrid_UniTelerikTheme .rgCommandCell {
    border-color: #c4c4c4;
    color: #5f5f5f;
    background-color: #e3e3e3;
    background-image: linear-gradient(white, #e3e3e3);
}

.RadGrid_UniTelerikTheme .rgCommandCell .t-button:hover {
    border-color: #0092ab;
    color: #ffffff;
    background-color: #0092ab;
    background-image: linear-gradient(#00acca, #0092ab);
}

.RadGrid_UniTelerikTheme .rgCommandCell .t-button:focus, .RadGrid_UniTelerikTheme .rgCommandCell .t-button:active {
    border-color: #1193aa;
    color: #ffffff;
    background-color: #14afca;
    background-image: none;
}

.rgCellSelectorArea_UniTelerikTheme,
.GridRowSelector_UniTelerikTheme {
    background: #4c4e54;
}

.GridItemDropIndicator_UniTelerikTheme {
    border-top: 1px dashed #666;
}

.GridReorderTop_UniTelerikTheme,
.GridReorderBottom_UniTelerikTheme {
    color: #a2a2a2;
}

.GridToolTip_UniTelerikTheme {
    border: 1px solid #c98400;
    padding: 3px;
    background: #ffefbd;
    color: #333;
}

.RadGridRTL_UniTelerikTheme .rgHeader:first-child, .RadGridRTL_UniTelerikTheme th.rgResizeCol:first-child,
.RadGridRTL_UniTelerikTheme .rgFilterRow > td:first-child,
.RadGridRTL_UniTelerikTheme .rgRow > td:first-child,
.RadGridRTL_UniTelerikTheme .rgAltRow > td:first-child {
    padding-left: 7px;
}
